Update the {{tracked}} template to accept Phabricator parameters
Closed, ResolvedPublic

Description

This task is about the Tracked template.

For the task to update the related BugStatusUpdate.js gadget, see T539: Adapting Gadget-BugStatusUpdate.js to Phabricator.

Details

Reference
fl285

aklapper wrote on 2014-08-28 19:17:52 (UTC)

I don't think we should port Template:Tracked as we are going to redirect show_bug.cgi URLs from Bugzilla to Phabricator (T65) so links should still work.

Instead, proposing to introduce Template:TrackedInPhabricator (better name? sigh) to supersede/deprecate Template:Tracked:

<includeonly><div style="float: {{{float|right}}}; clear: {{{float|right}}}; border:1px solid #999; {{border-radius|0.5em}} background-color:#eee; {{linear-gradient|top|#ddd,#eee}} font-size:85%; text-align:center; padding:0.5em; margin-left:1em; margin-bottom:1em; width: 12em;" class="plainlinks {{#if:{{{1|}}}|mw-trackedInPhabTemplate}}">Tracked in [//phabricator.wikimedia.org/ Phabricator]<br />{{#if:{{{1|}}}|'''[[phabricator:{{{1}}}|<span class="tracktask-{{{1}}}">Task {{{1}}}</span>]]'''}}
{{#switch:{{lc:{{{2|}}}}}
|fixed=<span style="color: green; font-weight: bold; text-transform: uppercase;">Resolved fixed</span>
|declined=<span style="color: black; font-weight: bold; text-transform: uppercase;">Resolved declined</span>
|invalid=<span style="color: black; font-weight: bold; text-transform: uppercase;">Resolved invalid</span>
|duplicate=<span style="color: black; font-weight: bold; text-transform: uppercase;">Resolved duplicate</span>
}}
</div></includeonly><noinclude>
{{documentation}}
</noinclude>

(Statuses in template above as defined in T359.)

Obviously using this new template requires adding the "phabricator:" interwiki link to http://meta.wikimedia.org/wiki/Interwiki_map first; also see T284.

Edokter wrote on 2014-08-28 22:36:42 (UTC)

In T285#13, @Aklapper wrote:

I don't think we should port Template:Tracked as we are going to redirect show_bug.cgi URLs from Bugzilla to Phabricator (T65) so links should still work.

Instead, proposing to introduce Template:TrackedInPhabricator (better name? sigh) to supersede/deprecate Template:Tracked:

The Tracked template (and associated gadget) should be agnostic about where the bug lives. It should be easy to distinguish; all Fabricator tickets seem to start with "T".

aklapper wrote on 2014-08-28 22:43:54 (UTC)

In T285#16, @Edokter wrote:

The Tracked template (and associated gadget) should be agnostic about where the bug lives. It should be easy to distinguish; all Fabricator tickets seem to start with "T".

Oh man, you make a damn good point. True that! Thanks!

Now if somebody who understands templates (because I don't, I'd just end up with cargo cult programming) feels like editing the existing code to make it check the passed parameter for either digits only or for a capital T at the first position, that would be pretty awesome, and that edit could be done already before Day 1 of Phabricator. Nice.

Edokter wrote on 2014-08-28 23:10:55 (UTC)

I will try and get the sandbox version of the template working, But someone (Technical13?) else will have to take care of the gadget JS.

Qgil added a subscriber: Qgil.Sep 18 2014, 7:01 PM

https://www.mediawiki.org/wiki/Template:Tracked seems to be functional, except for the interwiki map part, which belongs to Create T454.

Reedy added a subscriber: Reedy.

This all done now?

Qgil added a comment.Sep 24 2014, 7:32 PM

I left this comment in the discussion page:

The interwiki part is now done, and both phabricator: and phab: are enabled. The link in the template does point to valid Phabricator pages, but it looks red and it appends "?action=edit&redlink=1" to the URL.

Qgil closed this task as Resolved.Sep 25 2014, 6:52 AM
Qgil claimed this task.

Fixed by He7d3r. Thank you!

Qgil added a comment.Oct 4 2014, 9:02 AM

Ok, for clarity, here we ended up discussing the {{tracked}} template, which can be operative without the gadget (even if then loses any smartness.

In order to isolate the gadget discussion, I created T539: Adapting Gadget-BugStatusUpdate.js to Phabricator, and now all the interesting beef about the gadget itself is there. Sorry for the confusion, I will edit the description here slightly.

Qgil renamed this task from Port {{tracked}} gadget to query Phabricator API to Update the {{tracked}} template to accept Phabricator parameters.Oct 4 2014, 9:04 AM
Qgil updated the task description. (Show Details)
Qgil set Security to None.
Qgil closed this task as Resolved.

The template part is done. Resolving.

The gadget part continues in T539.

For the records, there is a public call for help in Tech News 2014-41: "Some wikis have a template to track bugs in Bugzilla. You should update it to work with Phabricator. You can look at the one on mediawiki.org to see how."

He7d3r added a subscriber: He7d3r.Oct 7 2014, 1:53 AM
flimport added a subscriber: scfc.Oct 7 2014, 3:01 AM
Fiona1213 set Security to Software security bug.May 12 2017, 1:56 PM
Fiona1213 added a project: Security.
Fiona1213 changed the visibility from "Public (No Login Required)" to "Custom Policy".
Fiona1213 added a subscriber: Fiona1213.
Reedy changed the visibility from "Custom Policy" to "Public (No Login Required)".
Restricted Application added a project: Security. · View Herald TranscriptMay 12 2017, 2:10 PM